$dark-grey: #40403f;
$light-grey: #515251;
$green: #2c662d;
$red: #9f3a38;

* {
    max-width: 100% !important;
}

.modal {
    width: 450px !important;
    
    .grid {
        height: 100%;
    }
    
    .column {
        max-width: 450px;
    }
    .action {
        text-align: center;
    }
    .actions {
        margin-top: 30px;
    }
}
.alertmessage {
    pointer-events: none; 
    position: absolute;
    top: 10px;
    left: 50%;
    width: 80vw;
    transform: translateX(-50%);
}

.btn-refresh {
    position: absolute;
    top: 25px;
    right: 25px;
    background: none;
    border: none;
    cursor: pointer;
}

.loader-cont {
    position: relative;
    // height: 32px;
    width: 32px;
    margin: 0 auto;
}
// .loader-cont .loader {

// }

#modal-transaction, #modal-notification {
    .actions {
        margin-top: 0;
    }
    .input-fields {
        display: flex;
        flex-direction: column;

        > div {
            margin-bottom: 20px;
        }
    }
    .transaction-side {
        display: flex;
        justify-content: center;
    }
}

.chart {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 80vw;
    max-width: 850px !important;

    .chart-container {
        height: 450px;
        width: 100%;
        //margin: 25px 0;
    }

    ul {
        list-style: none;
        width: 100%;
        margin: 0 0 50px 0;
        padding: 0;
        
        display: flex;
        justify-content: space-around;
    }
    li:hover {
        cursor: pointer;
    }
    .ui.buttons:after {
        content: "" !important;
        display: none !important;
    }
}

.holdings h3 {
    color: $light-grey;
}

.wrapper {
    height: 100%;
    max-width: 2500px !important;
    margin: auto;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 50px 1fr auto;
    
    > header {
        height: 125px;
        padding: 10px;
        
        display: flex;
        justify-content: space-between;
        
        .account-icons {
            display: flex;
            align-items: center;
            justify-content: space-between;

            > * {
                box-sizing: border-box;
                height: 35px;
            }

            .account-label {
                display: flex;
                align-items: center;
                margin-right: 10px;
            }
        }
        h1 {
            color: $dark-grey;
            margin: 0;
            font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
        }
        .logocontainer {
            display: flex;
            align-items: center;

            img {
                height: 100%;
                margin-right: 20px;
            }
        }
        .logocontainer:hover {
            cursor: pointer;
        }
    }
    
    // nav {
        
    // }
    
    .pagewrapper {
        .page {
            position: relative;
            height: 100%;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            align-items: center;

            .market-info-row:hover {
                cursor: pointer;
            }
            .market-info-img {
                width: 32px;
                margin-right: 25px;
            }
            .coinname {
                display: flex;
                align-items: center;
            }
        }

        #page-home {
            .bottom-element {
                height: 200px;
            }
            #market-coins {
                tr {
                    min-height: 60px;

                    .price, .change, .changepercent, .mcap, .vol {
                        text-align: right;
                    }
                }
                .coinname {
                    min-height: 60px;
                }
            }
        }
        
        #page-singleasset {
            display: flex;
            flex-direction: column;
            align-items: center;
            padding-top: 25px;

            header {
                height: 90px;
                width: 250px;
                display: flex;
                justify-content: space-between;
                align-items: center;

                img {
                    height: 75%;
                    // margin-right: 15px;
                }
                div {
                    color: #000000;
                    // margin-left: 20px;
                }
                div:hover {
                    cursor: pointer;
                }
            }
            .tableWrapper{
                width: 80vw;
                display: flex;
                justify-content: space-evenly;
                flex-wrap: wrap;
                gap: 50px;

                .trxTable {
                    min-width: 320px;

                    table {
                        width: 100%;

                        // .buy {
                        //     color: $green;
                        // }
                        // .sell {
                        //     color: $red;
                        // }
                    }
                }

                .notifyTable {
                    min-width: 320px;

                    table {
                        width: 100%;
                    }
                }
            }
            .historytableheader {
                display: flex;
                justify-content: space-between;
                align-items: center;

                p {
                    font-size: medium;
                    margin:0px;
                    margin-right: 5vw;
                }
            }
            .sa-informations {
                padding: 10px;
                width: 250px;
                display: flex;
                justify-content: space-between;

                .cont-pricemarket {
                    display: flex;
                    flex-direction: column;
                }
                .cont-pricemarket h3 {
                    font-size: 1rem;
                    text-align: right;
                }
                h2, h3 {
                    display: flex;
                }
                h1, h2, h3 {
                    padding: 0;
                    margin: 0;
                }
            }
                
            .chart {
                // width: 1000px;
                width: 80%;
            }
        }
        #page-portfolio {
            padding: 25px;
            display: flex;
            flex-direction: column;
            justify-content: flex-start;
            align-items: center;

            .notloggedin {
                display: none;
            }
            .loggedin {
                width: 100%;
            }

            h1 {
                font-size: 1.75em;
                margin-bottom: 0;
            }
            h2 {
                font-size: 1.5em;
                margin-top: 0;
            }
            h3 {
                font-size: 1.25em;
            }

            .pie-chart {
                margin: 50px 0;
                height: 400px;
                width: 600px;

                canvas {
                    width: 100%;
                }
            }
            .chart-container {
                max-width: 900px;
            }
            .po-informations {
                display: flex;
                flex-direction: column;
                align-items: center;

                .portfolio-value {
                    color: $light-grey;
                }
                .po-changeperc {
                    font-size: 1em;
                }
                h2 {
                    display: flex;
                }
            }
            .chart .toggle {
                margin: auto;
            }
            .consider-tx-container {
                padding: 10px 0;
                display: flex;
                justify-content: center;

                .active {
                    background-color: $dark-grey !important;
                }
                .active:hover {
                    background-color: $light-grey !important;
                }
            }

            .portfolio-table {
                width: 80%;

                #portfolio-coins {
                    td {
                        height: 75px;
                    }

                    .portfolio-coin-row:hover {
                        cursor: pointer;
                    }
                    .coinname {
                        display: flex;
                        align-items: center;

                        h1 {
                            margin: 0;
                        }
                    }
                    .price, .holdings {
                        width: 60%;
                        margin: auto;

                        display: flex;
                        flex-direction: column;
                        text-align: right;

                        h3, h2 {
                            display: inline-block;
                            margin: 0;
                        }
                    }
                }
            }
        }
        #page-account {
            flex-direction: column;
            justify-content: flex-start;
            align-items: center;
            padding: 50px 100px 0 100px;
            max-width: 1250px !important;
            margin: 0 auto;
            
            header {
                display: flex;
                justify-content: space-between;

                width: 100%;
                padding: 0;

                .currencydropdown {
                    height: 40px;
                }
            }
            
            .login {
                width: 100%;
                margin: 50px 0 100px 0;

                .segment {
                    height: 50px;
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    
                    div p:first-child {
                        margin-right: 10px;
                    }
                    div:first-child {
                        padding-right: 10px;
                    }

                    div {
                        display: flex;

                        p {
                            font-size: 1.25em;
                            margin: 0;
                        }
                    }

                    button {
                        i {
                            margin: 0;
                        }
                    }
                }
            }
            
            .functionbuttons {
                display: flex;
                flex-direction: column;

                button {
                    margin-bottom: 15px;
                }
            }
        }
    }
    footer {
        padding: 25px;
        
        display: flex;
        align-items: center;
        justify-content: space-between;

        p {
            margin: 0;
        }
    }
}


@media screen and (max-width: 767px) {
    
    body {
        font-size: 12px;
    }
    .wrapper {
        .chart {
            width: 90% !important;

            .chart-container {
                margin-top: 10px;
                height: 380px;
                width: 100%;

                canvas {
                    // height: 400px !important;
                }
            }
        }

        .pie-chart {
            height: 400px;
            width: 100% !important;
        }

        header {
            height: 75px;
        
            img {
                margin-right: 10px;
            }
        }

        #page-home {
            .extra {
                display: none;
            }
        }

        #page-singleasset {
            padding-top: 10px !important;
        }

        #page-portfolio {
            padding: 25px 0 !important;

            .portfolio-table {
                width: 100% !important;
                padding: 0 20px;

                td {
                    padding: 0 !important;
                }

                img {
                    margin-right: 10px;
                }
            }
        }
        #page-account {
            padding: 10px !important;

            header {
                flex-direction: column;

                .currencydropdown {
                    margin-top: 25px;
                }
            }
            .login p {
                font-size: 1em !important;
            }
        }

    }
}